# Default values for core-imageconverter.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

global:
  extras:
    monitoring:
      enabled: false

replicaCount: 1

defaultRegistry: registry.open-xchange.com

image:
  repository: "core-imageconverter"
  pullPolicy: IfNotPresent
  # Overrides the image tag whose default is the chart appVersion.
  tag: ""

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

podAnnotations:
  logging.open-xchange.com/format: "appsuite-json"

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

service:
  type: ClusterIP
  port: 8005
  portHttps: 8014
  portLiveness: 8018

ingress:
  enabled: false
  controller: "nginx"
  pathMappings: "core-imageconverter.ingressPathMappings"
  annotations: {}
    # kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  hosts:
    - host: chart-example.local
  tls: []
    # - secretName: chart-example-tls
    #   hosts:
    #     - chart-example.local

resources:
  requests:
    cpu: 500m
    memory: 1000Mi
  limits:
    cpu: 4000m
    memory: 2000Mi

nodeSelector: {}

tolerations: []

affinity: {}

probe:
  liveness:
    enabled: true
    periodSeconds: 10
    failureThreshold: 15

  readiness:
    enabled: true
    initialDelaySeconds: 30
    periodSeconds: 5
    failureThreshold: 2
    timeoutSeconds: 5

  startup:
    enabled: true
    initialDelaySeconds: 30
    periodSeconds: 10
    failureThreshold: 30

adminUser: ""
adminPassword: ""
basicAuthLogin: ""
basicAuthPassword: ""

mysql:
  host: ""
  port: 3306
  database: ""
  auth:
    user: ""
    password: ""

redis:
  enabled: false

imageconverter:
  targetFormats: []
    # - "auto:200x150"
    # - "auto:200x150~cover"
    # - "auto:800x800"
    # - "auto:1920x1080"
    # - "auto:1920x1080~cover"
  # cache: {}
    # maxEntries: 250000
    # maxSizeMegaBytes: -1
    # maxLifetimeSeconds: 2592000
    # cleanupPeriodSeconds: 300
  # jvmHeapSizeMB: 1024
  # jvmHeapMinRamPercentage:
  # jvmHeapMaxRamPercentage:
  # maxQueueLength: 512
  # maxAsyncQueueLengthPercentage: 95
  # imageUserComment: ""
  # useErrorDir: false

objectCache:
  mysql:
    host: ""
    port: 3306
    database: ""
    auth:
      user: ""
      password: ""
    properties: []
      # - name: connectTimeout
      #   value: 10000
      # - name: socketTimeout
      #   value: 300000
  fileStore: {}
    #  id: 1
  fileStores: []
    # - id: 1
  s3ObjectStores: []
    # - id: 1
    #   endpoint: ""
    #   region: "eu-central-1"
    #   bucketName: "objectcache"
    #   accessKey: ""
    #   secretKey: ""
  sproxydObjectStores: []
    # - id: 1
    #   endpoint: ""
    #   path: "proxyd/objectcache"

logging:
  debug: true
  logDir: /var/log/open-xchange/imageconverter
  logFile: imageconverter.log
  maxFileSize: 2MB
  maxIndex: 5
  queueSize: 2048
  root:
    level: INFO
    json: true
    logstash: false
    syslog: false
    file: true
  json:
    prettyPrint: false
  logstash:
    host: elk.open-xchange.com
    port: 31337
  syslog:
    host: localhost
    port: 514
    facility: USER
  logger:
    - name: org.apache.cxf
      level: WARN
    - name: com.openexchange.soap.cxf.logger
      level: WARN
    - name: com.openexchange.imageconverter
      level: INFO
    - name: com.openexchange.objectcache
      level: INFO

extras:
  monitoring:
    # -- Whether monitoring resources should be created, e.g. a `ConfigMap` containing the Grafana dashboards.
    enabled: false

persistence:
  enabled: false
  existingClaim: ""
  ## core-imageconverter data Persistent Volume Storage Class
  ## If defined, storageClass: <storageClassName>
  ## If set to "-", storageClassName: "", which disables dynamic provisioning
  ## If undefined (the default) or set to null, no storageClassName spec is
  ## set, choosing the default provisioner.  (gp2 on AWS, standard on
  ## GKE, AWS & OpenStack)
  ## accessMode can be overridden per entry (errorDir, fileItemStore)
  storageClass: null
  accessMode: ReadWriteOnce
  fileItemStore:
    ## if volumeName is set, use this existing PersistentVolume
    #volumeName:
    ## Provide proper class for existing volume
    #storageClass: "-"
    ## Provide matching accessMode for volume
    #accessMode: "ReadWriteMany"
    matchLabels: {}
    matchExpressions: []
    #hostPath: "/var/opt/fileitemstore"
    path: "/var/opt/fileitemstore"
    size: "10Gi"

# -- Whether to create a secret containing common properties as environment variables (e.g. SESSIOND_ENCRYPTION_KEY)
createCommonEnv: true
